Bug 187279 - `service cman status` returns 0 when cman is NOT running (should return non 0)
`service cman status` returns 0 when cman is NOT running (should return non 0)
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cman (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Abhijith Das
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 13:47 EST by Stanko Kupcevic
Modified: 2009-04-16 15:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0556
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:32:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanko Kupcevic 2006-03-29 13:47:05 EST
Description of problem: 
`/etc/init.d/cman status` returns 0 when cman is NOT running (0 s/b for
"service OK" only). 

This causes problems for conga, when it determines cluster status and
starts/stops a node. 

'status' deviates from behavior of other init scripts, and so is a bug. 



Version-Release number of selected component (if applicable):
cman-1.0.4-0

How reproducible:
Always
Comment 1 Christine Caulfield 2006-03-31 02:39:43 EST
Pass this to Chris as I think he knows where the init scripts live.
Comment 2 Chris Feist 2006-04-11 10:45:24 EDT
The init script should be in the RHEL4 branch of the cluster tree in
cluster/cman/init.d/

Comment 3 Christine Caulfield 2006-04-11 11:45:34 EDT
Checking in cman;
/cvs/cluster/cluster/cman/init.d/cman,v  <--  cman
new revision: 1.1.2.15; previous revision: 1.1.2.14
done
Comment 6 Red Hat Bugzilla 2006-08-10 17:32:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0556.html

Note You need to log in before you can comment on or make changes to this bug.